// 7.2.1.1 Extendiendo Thread, 10 hilos contando	
   
	 //////  Ejemplo 1 - CountThreadTest.java    Inicio  /////////////
 /* <p>
 * Cuando comienza a correr, este nuevo Thread imprime en pantalla 
 * una cuenta en nmeros ascendentes.
 * @author Gus
 * @version 1.0
 */
class CountThreadTest extends Thread {
	int from; //  Lmite inferior del conteo.
	int to;   //  Lmite superior.
	public CountThreadTest(int from, int to) { //  Constructor
	  this.from = from;
	  this.to = to;
	}

	public void run() {
		 for (int i=from; i<to; i++) {
         System.out.println(toString() + " i : " + i);

        }   // for
      }     //  void run() 

/* Punto de inicio del programa, donde se crean 10  <code>Threads</code>
cada una de las cuales se ejecuta en los momentos que la mquina virtual le asigna.    */

     public static void main(String[] args) {
         for (int i=0; i<10; i++) {  // Creamos 10 hilos, los 
             // inicializamos p/intervalos  0/9, 10/19, ..., 90/99
	   		CountThreadTest t = new CountThreadTest(i*10,(i+1)*10);
         	t.start(); // start invoca a run de CountThreadTest 
         }  // for 
    }   // void main()
}       //  class CountThreadTest

/*  En este ejemplo, al comenzar a correr cada hilo no pierde el control hasta 
exhibir su secuencia de 10 nmeros. En cambio, el orden de ejecucin no est garantizado, 
pese a ser "start()ados"  dentro de un for ...                                         */

       ////////  Ejemplo CountThreadTest.java     Fin  /////////////

