// 7.2.1.2 Implementando Runnable, 10 hilos contando	
   
	 //////  Ejemplo 1 - CountThreadTest.java    Inicio  /////////////
 /* <p>
 * Cuando comienza a correr, este nuevo Thread imprime en pantalla 
 * una cuenta en nmeros ascendentes.
 * @author Gus
 * @version 1.0
 */
class CountThreadTest{

	/* Punto de inicio del programa, donde se crean 10 Threads
	cada una de las cuales se ejecuta en los momentos que la mquina virtual le asigna.    */

    public static void main(String[] args) {
         for (int i=0; i<10; i++) {  // Creamos 10 hilos, los 
             // inicializamos p/intervalos  0/9, 10/19, ..., 90/99
	   		Thread t = new Thread(new masUnHilo(i*10,(i+1)*10));
         	t.start(); // start invoca a run de CountThreadTest 
         }  // for 

    }   // void main()
}       //  class CountThreadTest


class masUnHilo implements Runnable {
	int from; //  Lmite inferior del conteo.
	int to;   //  Lmite superior.
	public masUnHilo(int from, int to) { //  Constructor
	  this.from = from;
	  this.to = to;
	}
	public void run() {
		 for (int i=from; i<to; i++) {
         	System.out.println(toString() + " i : " + i);
         }  //  for
    }     	//  void run() 
}

       ////////  Ejemplo CountThreadTest.java     Fin  /////////////
