// Author Ing.Tymoschuk, Jorge
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.Integer;
import javax.swing.*;
public class Serie_Ari_145  extends JApplet
{	JTextField tfa = new JTextField("Uno");
   	JTextField tfb = new JTextField("Dos");
   	JTextField tfc = new JTextField("Tre");
	
    SerieControl contr01,contr02,contr03;   //  Controles para avanzar,retroceder 
	                          
    public void init() 
    {	getContentPane().setLayout(new BorderLayout());

		//  Seteando un formato de acuerdo a las posibilidades de java.awt.BorderLayout.
		// Dispondremos de un contenedor que organiza y redimensiona sus componentes para
		// caber en cinco regiones: north, south, east, west y center
		getContentPane().add("North" ,contr01 = new SerieControl(tfa,1));
		getContentPane().add("Center",contr02 = new SerieControl(tfb,2));
		getContentPane().add("South" ,contr03 = new SerieControl(tfc,3));
    }

    public void start()
	{	contr01.setEnabled(true);
    	contr01.setVisible(true);
    	contr02.setEnabled(true);
		contr02.setVisible(true);
		contr03.setEnabled(true);
		contr03.setVisible(true);
		Thread A = new SerieAction(contr01);
		Thread B = new SerieAction(contr02);
		Thread C = new SerieAction(contr03);
		/*  Estamos generando tres objetos Thread: A, B, C. 
   			Cada uno de estos objetos recibe un objeto SerieAction,
			previamente inicializado por su constructor propio, (JTextField,
			razn y signo). */
		A.start();
		B.start();
		C.start();
	}

    public void stop() 
	{	contr01.setEnabled(false);
    	contr02.setEnabled(false);
		contr03.setEnabled(false);
    }

    public void destroy() 
	{
        remove(contr01);
        remove(contr02);
        remove(contr03);
    }

    public void processEvent(AWTEvent e) 
	{	if (e.getID() == Event.WINDOW_DESTROY) 
			{System.exit(0);}
    }

    public static void main(String args[]) 
	{	Serie_Ari_145	serieAri = new Serie_Ari_145();

		serieAri.init();
		serieAri.start();

    }

}		//  Serie_Ari_145

class SerieControl extends JPanel 
              		implements ActionListener
{ 	JTextField tfd;
	int razon;
	int signo=1;

	public SerieControl(JTextField txf,int raz)
	{	tfd  = txf;
		razon=raz;	
	  	add(tfd = new JTextField("0", 4));
		JButton b = null;
		b = new JButton("Up");
		b.addActionListener(this);
		add(b);
		b = new JButton("Down");
		b.addActionListener(this);
		add(b);
	}

	
    public void actionPerformed(ActionEvent ev) 
    {
    	String label = ev.getActionCommand();
    	if (label=="Up")
    		signo=1;
    	else 
      		signo=-1;
    }
}	//  SerieControl

class SerieAction extends Thread 
{	SerieControl serieC;
	int valAct=10;
	String s="string";
	public SerieAction(SerieControl sCont)
	{	serieC=sCont;
	}

	public void run() 
	{	
        Thread me = Thread.currentThread();
        me.setPriority(Thread.MIN_PRIORITY);
 	
		try{
			while(true)
				{	valAct+=serieC.signo*serieC.razon;
					serieC.tfd.setText(s.valueOf(valAct));
					sleep(10);
					yield();
				}	//  while
		}catch(InterruptedException e) {;}	
	}	// run()
}
