class Maxguard {
private int maxValue;

public Maxguard (int e) { 
  maxValue=e;
}
public synchronized int getMax() {
  		return maxValue;
 	}
public synchronized void setMax(int e) {
maxValue=Math.max(maxValue, e);
 	}
}

class Encontrar extends Thread {
private int l_max;
private int low, high;
private int incr=10;
private int[] arr;
private Maxguard xobj;

public Encontrar(int[] ar, int l, int h, Maxguard m) {
  arr=ar;
  low=l+1;
  high=h;
  l_max=arr[1];
  xobj=m;
 	}
public void run() {
  try
  {
   	while(low<high)
   	{
    		int n= Math.min(incr,high-low);
for(int i=low;i<=low+n;i++)
     		{
      l_max=Math.max(l_max,arr[i]);
}
sleep(5);
low+=n;
}
  } catch (InterruptedException e) { 
return;
  }
  xobj.setMax(l_max);
}
}

class Maximo {
 public static void main(String[] args) throws InterruptedException  {
int[] a= new int[1024];
for(int i=0;i<1024;i++)
{
a[i]=(int)(100000*Math.random());
}
int nt=0;
if(args.length==1)
{
nt=Integer.parseInt(args[0]);
  	}  
if(nt<=0) nt=4;
Maxguard ans=new Maxguard(a[0]);
Encontrar[] slave=new Encontrar[nt];
int range=1024/nt;
int high,low=0;
for(int i=0;i<nt-1;i++)
{
    high=low+range-1;
    slave[i]=new Encontrar(a,low, high, ans);
    low=high+1;
}
slave[nt-1]=new Encontrar(a,low,1023, ans);
for(int i=0;i<nt;i++) slave[i].start();
for(int i=0;i<nt;i++) slave[i].join();
System.out.println("Maximo= "+ans.getMax());
  }
}

